%define		_class		Net
%define		_subclass	GameServerQuery
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.3.0
Release:	%mkrel 7
Summary:	An interface to query and return information from a game server
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_GameServerQuery/
Source0:	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
BuildArch:	noarch


%description
Net_GameServerQuery provides an interface for querying game servers

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_GameServerQuery.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_GameServerQuery.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_GameServerQuery
fi

%files
%doc docs/Net_GameServerQuery/*
%{peardir}/*
%{xmldir}/Net_GameServerQuery.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-7.mga8
+ Revision: 1499101
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.3.0-6.mga7
+ Revision: 1273709
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 0.3.0-5.mga6
+ Revision: 934549
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-4.mga5
+ Revision: 742446
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 687362
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.0-2.mga4
+ Revision: 528206
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 spuhler <spuhler> 0.3.0-1.mga4
+ Revision: 443818
- upgrade to version 0.3.0
- pearized spec file
- delete php-pear-Net_GameServerQuery-0.2.0-fix-path.patch

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-14.mga3
+ Revision: 376935
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.2.0-13.mga1
+ Revision: 43700
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_GameServerQuery


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-13mdv2011.0
+ Revision: 613725
- the mass rebuild of 2010.1 packages

* Sat Dec 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-12mdv2010.1
+ Revision: 477969
- fix patch

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-11mdv2010.1
+ Revision: 468698
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.2.0-10mdv2010.0
+ Revision: 441445
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-9mdv2009.1
+ Revision: 322379
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-8mdv2009.0
+ Revision: 236981
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.2.0-7mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-7mdv2007.0
+ Revision: 82297
- Import php-pear-Net_GameServerQuery

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdk
- initial Mandriva package (PLD import)

